MeiroDocs

Users

User must provide auth token

Section: Group Users. Base URL: https://api.instance_name.meiro.io/.

User [/users/{user_id}]

User must provide auth token

Retrieve User [GET]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (User)
  • Response 404

Modify User [PATCH]

  • Attributes (User modify)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (User)
  • Response 404

Delete User [DELETE]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (User)
  • Response 404

Change user's password [POST /users/{user_id}/change_password]

  • Attributes (ChangePassword)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (User)

Users [/users{?limit,offset,order_by,order_dir}]

User must provide auth token

List users [GET]

  • Parameters

    • limit: 10 (number, optional) - Limit of the number of records returned
    • offset: 20 (number, optional) - Offset for the records returned
    • order_by: id (UserOrderBy, optional) - Ordered variable name, default value is id
    • order_dir: ASC (OrderDir, optional) - Ordering direction, default value is ASC
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (UserList)

Create user [POST]

  • Attributes (User create)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (User)

Users create or restore [/users/create_or_restore]

User must provide auth token

Create or restore user [POST]

  • Attributes (User create or restore)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (User)

Trashed users [/users/trash{?limit,offset,order_by,order_dir}]

List trashed users [GET]

  • Parameters

    • limit: 10 (number, optional) - Limit of the number of records returned
    • offset: 20 (number, optional) - Offset for the records returned
    • order_by: id (UserOrderBy, optional) - Ordered variable name, default value is id
    • order_dir: ASC (OrderDir, optional) - Ordering direction, default value is ASC
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (UserList)

Trashed user [/users/trash/{user_id}]

Restore trashed user [PATCH]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (User)
  • Response 404 (application/json)

On this page